Bug 1011934 - taskomatic: repodata is not being regenerated for cloned channel
taskomatic: repodata is not being regenerated for cloned channel
Status: NEW
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
2.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 08:19 EDT by daniel.schunack@computacenter.com
Modified: 2015-10-09 04:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description daniel.schunack@computacenter.com 2013-09-25 08:19:21 EDT
Description of problem:
We lost all repodata files under /var/cache/rhn/repodata. Taskomatic create new repodata files for the original Base Channels, but not for our Cloned Channels. 
We test it in Spacewalk 1.8 and taskomatic create the repodata files for all channel. As workaround we change the Repository Checksum Type and taskomatic create new repodata files.
All packages up2date.


Version-Release number of selected component (if applicable):
spacewalk-backend-server-2.0.3-1.el6.noarch
spacewalk-taskomatic-2.0.5-1.el6.noarch

RedHat 6.3; 2.6.32-279.22.1.el6.x86_64

Steps to Reproduce:
Delete Cloned Channel repodata under /var/cache/rhn/repodata and restart taskomatic.
Comment 1 daniel.schunack@computacenter.com 2013-11-28 09:45:42 EST
Any news?
Comment 2 Michael Mráka 2013-11-28 10:20:10 EST
Repodata generation is triggered either when there's a change made to the channel, e.g. new package synced or repository checksum changed, or a client requests repodata from the channel and they aren't available.

So for cloned channels either cloning new package to it or access from a client should trigger repodata re-generation.
Comment 3 daniel.schunack@computacenter.com 2013-11-29 09:54:28 EST
Yes, if the folder not exist the repodate will re-generated.
Sorry, I forgot the say if the files in the folder zero or corrupted nothing happens.
Comment 4 daniel.schunack@computacenter.com 2013-12-17 07:17:49 EST
Any news?
Comment 5 daniel.schunack@computacenter.com 2014-01-15 10:44:11 EST
Any news?

Note You need to log in before you can comment on or make changes to this bug.